%define major	1
%define libname %mklibname %name %major
%define develname %mklibname %name -d

Summary:	Fortran library for fast updates of QR/Cholesky decompositions
Name:		qrupdate
Version:	1.1.2
Release:	%mkrel 5
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
License:	GPLv3+
Group:		Development/Other
Url:		http://qrupdate.sourceforge.net/
BuildRequires:	gcc-gfortran
BuildRequires:	blas-devel
BuildRequires:	lapack-devel

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

%package -n %{libname}
Summary:	qrupdate shared libraries
Group:		System/Libraries

%description -n %{libname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the shared library required for running programs
built against %{name}.

%package -n %{develname}
Summary:	qrupdate development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the files required for building programs
that use %{name}.

%prep
%setup -q

%build
make lib solib

%install
%make PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib} install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog COPYING
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a





%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 745884
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 688512
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 517897
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 379898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 grenoya <grenoya> 1.1.2-1.mga3
+ Revision: 296680
- new version 1.1.2

* Mon Apr 18 2011 nanardon <nanardon> 1.1.1-1.mga1
+ Revision: 87885
- 1.1.1

* Tue Apr 12 2011 grenoya <grenoya> 1.0.1-3.mga1
+ Revision: 83971
- force bs submssion
- remove paralel make
- imported package qrupdate


* Thu Jun 11 2009 Lev Givon <lev@mandriva.org> 1.0.1-2mdv2010.0
+ Revision: 385211
- Force rebuild.


